using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查明细隐患原因
    /// </summary>
    [Description("检查明细隐患原因")]
    public class T_BS_SAFE_CHECK_DETAIL_REASON : MesEntityBase
    {
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_CheckDetail", "Nav_ListCheckDetailReason")]
        public Guid CHECK_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查明细
        /// </summary>
        [Description("导航：检查明细")]
        public virtual T_BS_SAFE_CHECK_DETAIL Nav_CheckDetail { get; set; }

        /// <summary>
        /// 隐患原因
        /// </summary>
        [Description("隐患原因")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_RiskReason")]
        public Guid RISK_REASON_ID { get; set; }
        /// <summary>
        /// 导航：隐患原因
        /// </summary>
        [Description("导航：隐患原因")]
        public virtual T_BS_RISK_REASON Nav_RiskReason { get; set; }
    }
}
